Package: coreutils
Version: 8.30-3
Severity: wishlist
Tags: patch
User: [email protected]
Usertags: origin-ubuntu eoan ubuntu-patch
Hi Michael,
In Ubuntu, we have applied the attached patch to include autopkgtests in the
coreutils package. As a core package, it is useful to have autopkgtests in
order to detect regressions (however unlikely) introduced by the
dependencies of coreutils.
Would you consider including this patch in Debian?
--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer https://www.debian.org/
[email protected] [email protected]
diff -Nru coreutils-8.30/debian/tests/control
coreutils-8.30/debian/tests/control
--- coreutils-8.30/debian/tests/control 1969-12-31 16:00:00.000000000 -0800
+++ coreutils-8.30/debian/tests/control 2017-02-28 01:13:10.000000000 -0800
@@ -0,0 +1,2 @@
+Tests: upstream
+Depends: coreutils, acl, strace
diff -Nru coreutils-8.30/debian/tests/upstream
coreutils-8.30/debian/tests/upstream
--- coreutils-8.30/debian/tests/upstream 1969-12-31 16:00:00.000000000
-0800
+++ coreutils-8.30/debian/tests/upstream 2017-02-28 01:13:10.000000000
-0800
@@ -0,0 +1,348 @@
+#!/bin/sh
+# Run a subset of the upstream tests which work in an unbuilt tree against the
+# system installed package; these have been selected with
+#
+# for t in tests/*/*; do if env LANG= LANGUAGE= LC_ALL=C
CONFIG_HEADER=/dev/null $t >/dev/null 2>&1; then echo ${t#tests/}; fi; done
+
+# plus remove all tests depending on test binaries (getlimits, ginstall).
+#set -e
+
+# ensure that we do not stumble over translations
+unset LANG
+unset LANGUAGE
+export LC_ALL=C
+fails=0
+
+for test in \
+ chgrp/basic.sh \
+ chgrp/default-no-deref.sh \
+ chgrp/deref.sh \
+ chgrp/no-x.sh \
+ chgrp/posix-H.sh \
+ chgrp/recurse.sh \
+ chmod/c-option.sh \
+ chmod/equal-x.sh \
+ chmod/equals.sh \
+ chmod/inaccessible.sh \
+ chmod/no-x.sh \
+ chmod/octal.sh \
+ chmod/setgid.sh \
+ chmod/silent.sh \
+ chmod/thru-dangling.sh \
+ chmod/umask-x.sh \
+ chmod/usage.sh \
+ chown/deref.sh \
+ chown/preserve-root.sh \
+ cp/abuse.sh \
+ cp/attr-existing.sh \
+ cp/backup-1.sh \
+ cp/backup-dir.sh \
+ cp/backup-is-src.sh \
+ cp/cp-HL.sh \
+ cp/cp-deref.sh \
+ cp/cp-i.sh \
+ cp/cp-mv-backup.sh \
+ cp/cp-parents.sh \
+ cp/deref-slink.sh \
+ cp/dir-rm-dest.sh \
+ cp/dir-slash.sh \
+ cp/dir-vs-file.sh \
+ cp/existing-perm-dir.sh \
+ cp/fail-perm.sh \
+ cp/into-self.sh \
+ cp/link-deref.sh \
+ cp/link-no-deref.sh \
+ cp/link-preserve.sh \
+ cp/link-symlink.sh \
+ cp/link.sh \
+ cp/no-deref-link1.sh \
+ cp/no-deref-link2.sh \
+ cp/no-deref-link3.sh \
+ cp/preserve-link.sh \
+ cp/preserve-mode.sh \
+ cp/proc-short-read.sh \
+ cp/proc-zero-len.sh \
+ cp/r-vs-symlink.sh \
+ cp/reflink-perm.sh \
+ cp/same-file.sh \
+ cp/slink-2-slink.sh \
+ cp/sparse-to-pipe.sh \
+ cp/sparse.sh \
+ cp/special-f.sh \
+ cp/src-base-dot.sh \
+ cp/symlink-slash.sh \
+ cp/thru-dangling.sh \
+ dd/ascii.sh \
+ dd/bytes.sh \
+ dd/direct.sh \
+ dd/misc.sh \
+ dd/no-allocate.sh \
+ dd/nocache.sh \
+ dd/not-rewound.sh \
+ dd/reblock.sh \
+ dd/skip-seek2.sh \
+ dd/sparse.sh \
+ dd/stderr.sh \
+ dd/unblock-sync.sh \
+ df/df-P.sh \
+ df/df-output.sh \
+ df/header.sh \
+ df/unreadable.sh \
+ du/8gb.sh \
+ du/basic.sh \
+ du/bigtime.sh \
+ du/deref-args.sh \
+ du/deref.sh \
+ du/exclude.sh \
+ du/files0-from-dir.sh \
+ du/hard-link.sh \
+ du/inacc-dest.sh \
+ du/inacc-dir.sh \
+ du/inodes.sh \
+ du/long-from-unreadable.sh \
+ du/long-sloop.sh \
+ du/max-depth.sh \
+ du/no-deref.sh \
+ du/no-x.sh \
+ du/restore-wd.sh \
+ du/slash.sh \
+ du/threshold.sh \
+ du/trailing-slash.sh \
+ du/two-args.sh \
+ fmt/goal-option.sh \
+ fmt/long-line.sh \
+ id/uid.sh \
+ id/zero.sh \
+ install/trap.sh \
+ ln/backup-1.sh \
+ ln/hard-backup.sh \
+ ln/hard-to-sym.sh \
+ ln/relative.sh \
+ ln/sf-1.sh \
+ ln/slash-decorated-nonexistent-dest.sh \
+ ln/target-1.sh \
+ ls/abmon-align.sh \
+ ls/block-size.sh \
+ ls/color-clear-to-eol.sh \
+ ls/color-dtype-dir.sh \
+ ls/color-norm.sh \
+ ls/color-term.sh \
+ ls/dangle.sh \
+ ls/dired.sh \
+ ls/file-type.sh \
+ ls/follow-slink.sh \
+ ls/infloop.sh \
+ ls/inode.sh \
+ ls/m-option.sh \
+ ls/multihardlink.sh \
+ ls/no-arg.sh \
+ ls/proc-selinux-segfault.sh \
+ ls/recursive.sh \
+ ls/root-rel-symlink-color.sh \
+ ls/rt-1.sh \
+ ls/slink-acl.sh \
+ ls/stat-dtype.sh \
+ ls/stat-failed.sh \
+ ls/stat-free-symlinks.sh \
+ ls/stat-vs-dirent.sh \
+ ls/symlink-slash.sh \
+ ls/time-style-diag.sh \
+ ls/x-option.sh \
+ misc/cat-proc.sh \
+ misc/chcon-fail.sh \
+ misc/csplit-1000.sh \
+ misc/csplit-heap.sh \
+ misc/csplit.sh \
+ misc/date-sec.sh \
+ misc/env-null.sh \
+ misc/false-status.sh \
+ misc/head-pos.sh \
+ misc/head-write-error.sh \
+ misc/invalid-opt.pl \
+ misc/ls-time.sh \
+ misc/md5sum-bsd.sh \
+ misc/md5sum-parallel.sh \
+ misc/mknod.sh \
+ misc/nice-fail.sh \
+ misc/nice.sh \
+ misc/nl.sh \
+ misc/nohup.sh \
+ misc/nproc-avail.sh \
+ misc/nproc-positive.sh \
+ misc/od-N.sh \
+ misc/od-endian.sh \
+ misc/od-float.sh \
+ misc/od-multiple-t.sh \
+ misc/od-x8.sh \
+ misc/pathchk1.sh \
+ misc/printenv.sh \
+ misc/printf-hex.sh \
+ misc/printf-surprise.sh \
+ misc/ptx-overrun.sh \
+ misc/pwd-option.sh \
+ misc/readlink-fp-loop.sh \
+ misc/readlink-root.sh \
+ misc/realpath.sh \
+ misc/runcon-no-reorder.sh \
+ misc/shred-exact.sh \
+ misc/shred-passes.sh \
+ misc/shred-remove.sh \
+ misc/sort-NaN-infloop.sh \
+ misc/sort-compress.sh \
+ misc/sort-debug-keys.sh \
+ misc/sort-debug-warn.sh \
+ misc/sort-exit-early.sh \
+ misc/sort-merge-fdlimit.sh \
+ misc/sort-month.sh \
+ misc/sort-rand.sh \
+ misc/sort-unique.sh \
+ misc/sort-version.sh \
+ misc/stat-fmt.sh \
+ misc/stat-hyphen.sh \
+ misc/stat-mount.sh \
+ misc/stat-nanoseconds.sh \
+ misc/stat-slash.sh \
+ misc/stty-invalid.sh \
+ misc/stty-row-col.sh \
+ misc/sum-sysv.sh \
+ misc/tac-2-nonseekable.sh \
+ misc/tee.sh \
+ misc/timeout-group.sh \
+ misc/timeout.sh \
+ misc/tr-case-class.sh \
+ misc/truncate-dangling-symlink.sh \
+ misc/truncate-dir-fail.sh \
+ misc/truncate-fail-diag.sh \
+ misc/truncate-fifo.sh \
+ misc/truncate-no-create-missing.sh \
+ misc/truncate-parameters.sh \
+ misc/truncate-relative.sh \
+ misc/uniq-perf.sh \
+ misc/wc-files0.sh \
+ misc/wc-parallel.sh \
+ mkdir/p-1.sh \
+ mkdir/p-2.sh \
+ mkdir/p-3.sh \
+ mkdir/p-acl.sh \
+ mkdir/p-slashdot.sh \
+ mkdir/p-thru-slink.sh \
+ mkdir/p-v.sh \
+ mkdir/parents.sh \
+ mkdir/perm.sh \
+ mkdir/special-1.sh \
+ mkdir/t-slash.sh \
+ mv/atomic.sh \
+ mv/atomic2.sh \
+ mv/backup-dir.sh \
+ mv/childproof.sh \
+ mv/diag.sh \
+ mv/dir-file.sh \
+ mv/dir2dir.sh \
+ mv/dup-source.sh \
+ mv/force.sh \
+ mv/hard-2.sh \
+ mv/hard-3.sh \
+ mv/hard-4.sh \
+ mv/i-2.sh \
+ mv/i-3.sh \
+ mv/i-4.sh \
+ mv/i-5.sh \
+ mv/i-link-no.sh \
+ mv/into-self-3.sh \
+ mv/into-self-4.sh \
+ mv/into-self.sh \
+ mv/mv-n.sh \
+ mv/no-target-dir.sh \
+ mv/perm-1.sh \
+ mv/symlink-onto-hardlink-to-self.sh \
+ mv/symlink-onto-hardlink.sh \
+ mv/trailing-slash.sh \
+ mv/update.sh \
+ readlink/can-e.sh \
+ readlink/can-f.sh \
+ readlink/can-m.sh \
+ readlink/multi.sh \
+ readlink/rl-1.sh \
+ rm/cycle.sh \
+ rm/d-1.sh \
+ rm/d-2.sh \
+ rm/d-3.sh \
+ rm/dangling-symlink.sh \
+ rm/deep-1.sh \
+ rm/deep-2.sh \
+ rm/dir-no-w.sh \
+ rm/dir-nonrecur.sh \
+ rm/dot-rel.sh \
+ rm/empty-inacc.sh \
+ rm/f-1.sh \
+ rm/fail-eacces.sh \
+ rm/i-1.sh \
+ rm/i-never.sh \
+ rm/i-no-r.sh \
+ rm/ignorable.sh \
+ rm/interactive-always.sh \
+ rm/interactive-once.sh \
+ rm/ir-1.sh \
+ rm/isatty.sh \
+ rm/one-file-system2.sh \
+ rm/r-1.sh \
+ rm/r-2.sh \
+ rm/r-3.sh \
+ rm/r-4.sh \
+ rm/readdir-bug.sh \
+ rm/rm1.sh \
+ rm/rm2.sh \
+ rm/rm3.sh \
+ rm/rm4.sh \
+ rm/rm5.sh \
+ rm/sunos-1.sh \
+ rm/unread2.sh \
+ rm/unread3.sh \
+ rm/v-slash.sh \
+ rmdir/fail-perm.sh \
+ rmdir/ignore.sh \
+ rmdir/t-slash.sh \
+ split/additional-suffix.sh \
+ split/b-chunk.sh \
+ split/filter.sh \
+ split/guard-input.sh \
+ split/l-chunk.sh \
+ split/line-bytes.sh \
+ split/lines.sh \
+ split/numeric.sh \
+ split/r-chunk.sh \
+ split/suffix-auto-length.sh \
+ split/suffix-length.sh \
+ tail-2/F-vs-rename.sh \
+ tail-2/flush-initial.sh \
+ tail-2/follow-name.sh \
+ tail-2/follow-stdin.sh \
+ tail-2/inotify-hash-abuse.sh \
+ tail-2/inotify-hash-abuse2.sh \
+ tail-2/pipe-f.sh \
+ tail-2/pipe-f2.sh \
+ tail-2/proc-ksyms.sh \
+ tail-2/start-middle.sh \
+ tail-2/tail-n0f.sh \
+ tail-2/wait.sh \
+ touch/60-seconds.sh \
+ touch/dangling-symlink.sh \
+ touch/dir-1.sh \
+ touch/empty-file.sh \
+ touch/fail-diag.sh \
+ touch/fifo.sh \
+ touch/no-create-missing.sh \
+ touch/no-rights.sh \
+ touch/not-owner.sh \
+ touch/obsolescent.sh \
+ touch/read-only.sh \
+ touch/relative.sh \
+ touch/trailing-slash.sh \
+; do
+ echo "$test"
+ chmod a+x "tests/$test"
+ OUT=$(tests/$test 2>&1 9>&1) || [ $? = 77 ] || { fails=$((fails+1)); echo
"FAIL:"; echo "$OUT"; }
+done
+
+echo $fails tests failed
+exit $fails